[HOME] [DOWNLOAD] [DOCS] [BLOG] [SUPPORT] [TIPS] [ISSUES] [Priority Support]

Renewing Dev/Build Documentation/8 in VM


#1

i saw this wiki and found it simple and useful:-

so i decided to renew it witha new version of the vertualbox + debian jessie + whonix 11. if the information are similar then i will renew the screenshots. just adding new look to the page.

u can keep “8 in vm” and open new section for “11 in vm”

or changing 8 to 11. as you like

so what do you think?


#2

Keep the existing one. (For historical purposes.)

Create a new one:
https://www.whonix.org/wiki/Dev/Build_Documentation/11_in_VM


#3

i want to ask , would it be possible to make it through the kvm ? since we are having problem with vbox snapshot according to this link:- (donno if its related or not)
https://www.whonix.org/forum/index.php/topic,1397.0.html?PHPSESSID=mog3cri86knh4gkcuftc8c2o2li3ab05


#4

Untested by me. It would be a bug if it would not be possible.


#5

i was following the steps , but i couldnt build whonix 11.0.0.3.0-testers-only. c the steps:-

[code]user@host:~$ git clone https://github.com/Whonix/Whonix
Cloning into ‘Whonix’…
remote: Counting objects: 36022, done.
Receiving objects: 100% (36022/36022), 10.43 MiB | 321.00 KiB/s, done.
remote: Total 36022 (delta 0), reused 0 (delta 0), pack-reused 36022
Resolving deltas: 100% (18061/18061), done.
Checking connectivity… done.
user@host:~$ cd Whonix
user@host:~/Whonix$ git tag
0.1.3
0.2.1
0.3.0
0.3.1
0.4.0
0.4.1
0.4.2
0.4.3
0.4.4
0.4.5
0.4.5-fix1
0.4.5-fix2
0.4.5.1
0.5.1
0.5.2
0.5.3
0.5.4
0.5.5
0.5.6
0.6.0
0.6.1
10.0.0.0.1-developers-only
10.0.0.0.2-developers-only
10.0.0.0.3-developers-only
10.0.0.0.4-developers-only
10.0.0.0.5-developers-only
10.0.0.0.6-developers-only
10.0.0.0.7-developers-only
10.0.0.0.8-developers-only
10.0.0.0.9-developers-only
10.0.0.1.1-developers-only
10.0.0.1.2-developers-only
10.0.0.1.3-developers-only
10.0.0.1.4-developers-only
10.0.0.1.6-developers-only
10.0.0.1.7-developers-only
10.0.0.1.8-developers-only
10.0.0.2.0-developers-only
10.0.0.2.1-developers-only
10.0.0.2.2-developers-only
10.0.0.2.3-developers-only
10.0.0.2.4-developers-only
10.0.0.2.5-developers-only
10.0.0.2.6-developers-only
10.0.0.2.7-developers-only
10.0.0.2.8-developers-only
10.0.0.2.9-developers-only
10.0.0.3.0-developers-only
10.0.0.3.1-developers-only
10.0.0.3.2-developers-only
10.0.0.3.3-developers-only
10.0.0.3.4-developers-only
10.0.0.3.5-developers-only
10.0.0.3.6-developers-only
10.0.0.3.7-developers-only
10.0.0.3.9-developers-only
10.0.0.4.0-developers-only
10.0.0.4.1-developers-only
10.0.0.4.2-developers-only
10.0.0.4.3-developers-only
10.0.0.4.4-developers-only
10.0.0.4.5-developers-only
10.0.0.4.6-developers-only
10.0.0.4.7-developers-only
10.0.0.4.8-developers-only
10.0.0.4.9-developers-only
10.0.0.5.0-developers-only
10.0.0.5.0-testers-only
10.0.0.5.2-developers-only
10.0.0.5.3-developers-only
10.0.0.5.4-developers-only
10.0.0.5.5-developers-only
10.0.0.5.5-stable
10.0.0.5.5-testers-only
11.0.0.0.0-developers-only
11.0.0.0.1-developers-only
11.0.0.0.2-developers-only
11.0.0.0.3-developers-only
11.0.0.0.4-developers-only
11.0.0.0.5-developers-only
11.0.0.0.6-developers-only
11.0.0.0.7-developers-only
11.0.0.0.8-developers-only
11.0.0.0.9-developers-only
11.0.0.1.0-developers-only
11.0.0.1.1-developers-only
11.0.0.1.2-developers-only
11.0.0.1.3-developers-only
11.0.0.1.4-developers-only
11.0.0.1.5-developers-only
11.0.0.1.6-developers-only
11.0.0.1.7-developers-only
11.0.0.1.8-developers-only
11.0.0.1.9-developers-only
11.0.0.2.0-developers-only
11.0.0.2.1-developers-only
11.0.0.2.2-developers-only
11.0.0.2.3-developers-only
11.0.0.2.3-testers-only
11.0.0.2.4-developers-only
11.0.0.2.5-developers-only
11.0.0.2.6-developers-only
11.0.0.2.7-developers-only
11.0.0.2.8-developers-only
11.0.0.2.9-developers-only
11.0.0.3.0-developers-only
11.0.0.3.0-testers-only
6
6.1
6.2
7
7.1
7.2
7.3
7.3.1
7.3.2
7.3.3
7.3.4
7.3.5
7.3.6
7.3.7
7.7.6.4
7.7.8.6
7.7.8.7
7.7.8.8
7.7.8.9
7.7.9.1
7.7.9.3
7.7.9.7
7.7.9.8
8
8.1
8.2
8.5.0.2
8.6.2.8
8.6.6.0
9
9.1
9.2
9.3
9.4
9.5
9.6
user@host:~/Whonix$ git checkout 11.0.0.3.0
error: pathspec ‘11.0.0.3.0’ did not match any file(s) known to git.
user@host:~/Whonix$ git checkout 11.0.0.3.0-testers-only
Note: checking out ‘11.0.0.3.0-testers-only’.

You are in ‘detached HEAD’ state. You can look around, make experimental
changes and commit them, and you can discard any commits you make in this
state without impacting any branches by performing another checkout.

If you want to create a new branch to retain commits you create, you may
do so (now or later) by using -b with the checkout command again. Example:

git checkout -b new_branch_name

HEAD is now at 979c439… added grub-screen-resolution and grub-output-verbose as weak recommended packages - https://phabricator.whonix.org/T354
user@host:~/Whonix$ sudo ./whonix_build --build --tor-gateway >> ~/log-gateway 2>&1
[sudo] password for user:
user@host:~/Whonix$ sudo ./whonix_build --build --tor-workstation >> ~/log-workstation 2>&1
user@host:~/Whonix$ sudo ./whonix_build --build --tor-gateway

  • set -e
  • true ‘INFO: Currently running script: ./whonix_build–build’ --tor-gateway
    +++ dirname ./whonix_build
    ++ cd .
    ++ pwd
  • MYDIR=/home/user/Whonix
  • cd /home/user/Whonix
  • source ./help-steps/colors
    ++ ‘[’ ‘!’ ‘’ = true ‘]’
    ++ colors
    ++ [[ -t 2 ]]
    ++ export whonix_build_already_defined_colors=true
    ++ whonix_build_already_defined_colors=true
  • source ./help-steps/parse-cmd
  • source ./help-steps/pre
    ++ ‘[’ ‘!’ ‘’ ‘]’
    ++ set +x
  • trap error_handler_build_main ERR
  • main --build --tor-gateway
  • trap error_handler_build_main ERR
  • trap - INT
  • trap - TERM
  • build_main_defaults
  • true ‘./help-steps/parse-cmd build_main_defaults: Setting defaults (only for prettier output below).’
  • WHONIX_MAIN_SCRIPT_BUILD_GATEWAY=false
  • WHONIX_MAIN_SCRIPT_BUILD_WORKSTATION=false
  • WHONIX_MAIN_SCRIPT_BUILD_CUSTOM_WORKSTATION=false
  • build_main_parse_cmd --build --tor-gateway
  • true ‘./help-steps/parse-cmd build_main_parse_cmd: parsing command line arguments…’
  • true ‘./help-steps/parse-cmd build_main_parse_cmd: ${1+"$@"}: --build’ --tor-gateway
  • local got_flavor=false
  • :
  • case $1 in
  • echo 'unknown option: --build’
    unknown option: --build
  • error ‘unknown option: --build’
  • true ‘############################################################’
  • true ‘ERROR: unknown option: --build’
  • true ‘############################################################’
  • error_ ‘See above! (There should be a bold, red message surrounded by blue hashtags (#).)’
    ./help-steps/pre: line 20: error_: command not found
    ++ error_handler_build_main
    ++ true ‘ERROR in ./whonix_build’
    ++ true ‘BASH_COMMAND: error_ “See above! (There should be a bold, red message surrounded by blue hashtags (#).)”’
    ++ true ‘INFO: Now exiting from ./whonix_build (because error was detected, see above).’
    ++ exit 1
  • exithandler
  • local exit_code=1
  • ‘[’ ‘!’ 1 = 0 ‘]’
  • exit 1
    user@host:~/Whonix$ sudo ./whonix_build --build --tor-workstation
  • set -e
  • true ‘INFO: Currently running script: ./whonix_build–build’ --tor-workstation
    +++ dirname ./whonix_build
    ++ cd .
    ++ pwd
  • MYDIR=/home/user/Whonix
  • cd /home/user/Whonix
  • source ./help-steps/colors
    ++ ‘[’ ‘!’ ‘’ = true ‘]’
    ++ colors
    ++ [[ -t 2 ]]
    ++ export whonix_build_already_defined_colors=true
    ++ whonix_build_already_defined_colors=true
  • source ./help-steps/parse-cmd
  • source ./help-steps/pre
    ++ ‘[’ ‘!’ ‘’ ‘]’
    ++ set +x
  • trap error_handler_build_main ERR
  • main --build --tor-workstation
  • trap error_handler_build_main ERR
  • trap - INT
  • trap - TERM
  • build_main_defaults
  • true ‘./help-steps/parse-cmd build_main_defaults: Setting defaults (only for prettier output below).’
  • WHONIX_MAIN_SCRIPT_BUILD_GATEWAY=false
  • WHONIX_MAIN_SCRIPT_BUILD_WORKSTATION=false
  • WHONIX_MAIN_SCRIPT_BUILD_CUSTOM_WORKSTATION=false
  • build_main_parse_cmd --build --tor-workstation
  • true ‘./help-steps/parse-cmd build_main_parse_cmd: parsing command line arguments…’
  • true ‘./help-steps/parse-cmd build_main_parse_cmd: ${1+"$@"}: --build’ --tor-workstation
  • local got_flavor=false
  • :
  • case $1 in
  • echo 'unknown option: --build’
    unknown option: --build
  • error ‘unknown option: --build’
  • true ‘############################################################’
  • true ‘ERROR: unknown option: --build’
  • true ‘############################################################’
  • error_ ‘See above! (There should be a bold, red message surrounded by blue hashtags (#).)’
    ./help-steps/pre: line 20: error_: command not found
    ++ error_handler_build_main
    ++ true ‘ERROR in ./whonix_build’
    ++ true ‘BASH_COMMAND: error_ “See above! (There should be a bold, red message surrounded by blue hashtags (#).)”’
    ++ true ‘INFO: Now exiting from ./whonix_build (because error was detected, see above).’
    ++ exit 1
  • exithandler
  • local exit_code=1
  • ‘[’ ‘!’ 1 = 0 ‘]’
  • exit 1
    user@host:~/Whonix$
    [/code]

the error message:-

[code]+ local got_flavor=false

  • :
  • case $1 in
  • echo 'unknown option: --build’
    unknown option: --build
  • error ‘unknown option: --build’
  • true ‘############################################################’
  • true ‘ERROR: unknown option: --build’
  • true ‘############################################################’
  • error_ ‘See above! (There should be a bold, red message surrounded by blue hashtags (#).)’
    ./help-steps/pre: line 20: error_: command not found
    ++ error_handler_build_main
    ++ true ‘ERROR in ./whonix_build’
    ++ true ‘BASH_COMMAND: error_ “See above! (There should be a bold, red message surrounded by blue hashtags (#).)”’
    ++ true ‘INFO: Now exiting from ./whonix_build (because error was detected, see above).’
    ++ exit 1
    [/code]

what do you think the cause of that ? is it because whonix 11 not yet stable so it cant be built that way ?


#6

Wrong syntax. Outdated syntax. See:


#7

aha i c , well in this case i will need more work to do. hope i can go through it correctly


#8

i run this command:-

in order to build both GW&WS but it seems there r errors r not mentioned to be normal or i dont really understand, c the images:-

1- http://i.imgur.com/dP9Oz3X.jpg

2- http://i.imgur.com/A5MOHAV.png

3- http://i.imgur.com/H0dCCd8.png

so i donno should i proceed or stop because or there is something i should do.

also i went to this page: https://github.com/Whonix/Whonix/blob/master/build-steps.d/1100_prepare-build-machine

as u know it seems to be complex for me to understand this.

if u want the full build command run, c this:-

[code]user@debian:~$ sudo ~/Whonix/whonix_build --flavor whonix-gateway --flavor whonix-workstation – --build --target virtualbox

We trust you have received the usual lecture from the local System
Administrator. It usually boils down to these three things:

#1) Respect the privacy of others.
#2) Think before you type.
#3) With great power comes great responsibility.

[sudo] password for user:

  • set -e
  • true ‘INFO: Currently running script: /home/user/Whonix/whonix_build–flavor’ whonix-gateway --flavor whonix-workstation – --build --target virtualbox
    +++ dirname /home/user/Whonix/whonix_build
    ++ cd /home/user/Whonix
    ++ pwd
  • MYDIR=/home/user/Whonix
  • cd /home/user/Whonix
  • source ./help-steps/colors
    ++ ‘[’ ‘!’ ‘’ = true ‘]’
    ++ colors
    ++ [[ -t 2 ]]
    ++ export whonix_build_already_defined_colors=true
    ++ whonix_build_already_defined_colors=true
  • source ./help-steps/parse-cmd
  • source ./help-steps/pre
    ++ ‘[’ ‘!’ ‘’ ‘]’
    ++ set +x
  • trap error_handler_build_main ERR
  • main --flavor whonix-gateway --flavor whonix-workstation – --build --target virtualbox
  • trap error_handler_build_main ERR
  • trap - INT
  • trap - TERM
  • build_main_defaults
  • true ‘./help-steps/parse-cmd build_main_defaults: Setting defaults (only for prettier output below).’
  • WHONIX_MAIN_SCRIPT_BUILD_GATEWAY=false
  • WHONIX_MAIN_SCRIPT_BUILD_WORKSTATION=false
  • WHONIX_MAIN_SCRIPT_BUILD_CUSTOM_WORKSTATION=false
  • build_main_parse_cmd --flavor whonix-gateway --flavor whonix-workstation – --build --target virtualbox
  • true ‘./help-steps/parse-cmd build_main_parse_cmd: parsing command line arguments…’
  • true ‘./help-steps/parse-cmd build_main_parse_cmd: ${1+"$@"}: --flavor’ whonix-gateway --flavor whonix-workstation – --build --target virtualbox
  • local got_flavor=false
  • :
  • case $1 in
  • ‘[’ whonix-gateway = whonix-gateway ‘]’
  • got_flavor=true
  • WHONIX_MAIN_SCRIPT_BUILD_GATEWAY=true
  • shift 2
  • :
  • case $1 in
  • ‘[’ whonix-workstation = whonix-gateway ‘]’
  • ‘[’ whonix-workstation = whonix-workstation ‘]’
  • got_flavor=true
  • WHONIX_MAIN_SCRIPT_BUILD_WORKSTATION=true
  • shift 2
  • :
  • case $1 in
  • shift
  • break
  • ‘[’ ‘!’ true = true ‘]’
  • true ‘INFO ./help-steps/parse-cmd build_main_parse_cmd: $@: --build’ --target virtualbox
  • build_args=’–build --target virtualbox’
  • true ‘./help-steps/parse-cmd build_main_parse_cmd: parsing command line arguments done.’
  • build_main_build
  • trap error_handler_build_main ERR
  • true ‘INFO /home/user/Whonix/whonix_build build_main_build: build_args: --build --target virtualbox’
  • true ‘INFO /home/user/Whonix/whonix_build build_main_build: Build overview.
    WHONIX_MAIN_SCRIPT_BUILD_GATEWAY: true
    WHONIX_MAIN_SCRIPT_BUILD_WORKSTATION: true
    WHONIX_MAIN_SCRIPT_BUILD_CUSTOM_WORKSTATION: false’
  • ‘[’ true = true ‘]’
  • ./help-steps/whonix_build_one --flavor whonix-gateway --build --target virtualbox
  • set -e
  • true ‘INFO: Currently running script: ./help-steps/whonix_build_one–flavor’ whonix-gateway --build --target virtualbox
    +++ dirname ./help-steps/whonix_build_one
    ++ cd ./help-steps
    ++ pwd
  • MYDIR=/home/user/Whonix/help-steps
  • cd /home/user/Whonix/help-steps
  • cd …
  • source ./help-steps/pre
    ++ ‘[’ ‘!’ ‘’ ‘]’
    ++ set +x
  • source ./help-steps/colors
    ++ ‘[’ ‘!’ true = true ‘]’
  • trap error_handler_whonix_build_one ERR
  • export WHONIX_BUILD_ONE_SCRIPT_STARTED=1
  • WHONIX_BUILD_ONE_SCRIPT_STARTED=1
  • main --flavor whonix-gateway --build --target virtualbox
  • root_check
    ++ id -u
  • ‘[’ 0 ‘!=’ 0 ‘]’
  • true ‘INFO: Script running as root.’
  • args=’–flavor whonix-gateway --build --target virtualbox’
  • whonix_build_preparation --flavor whonix-gateway --build --target virtualbox
  • cd help-steps
  • source parse-cmd
  • whonix_build_one_parse_cmd --flavor whonix-gateway --build --target virtualbox
  • ‘[’ ‘!’ ‘’ = 1 ‘]’
  • ‘[’ ‘–flavor whonix-gateway --build --target virtualbox’ = ‘’ ‘]’
  • build_machines_counter=0
  • build_target_counter=0
  • :
  • case $1 in
  • true ‘INFO: --flavor whonix-gateway chosen.’
  • ‘[’ whonix-gateway = whonix-gateway ‘]’
  • WHONIX_BUILD_FLAVOR=whonix-gateway
  • export WHONIX_BUILD_GATEWAY=1
  • WHONIX_BUILD_GATEWAY=1
  • build_machines_counter=1
  • shift 2
  • :
  • case $1 in
  • export WHONIX_BUILD_BUILD=1
  • WHONIX_BUILD_BUILD=1
  • shift
  • :
  • case $1 in
  • true ‘INFO: --target virtualbox chosen.’
  • ‘[’ virtualbox = virtualbox ‘]’
  • build_target_counter=1
  • export WHONIX_BUILD_VIRTUALBOX=true
  • WHONIX_BUILD_VIRTUALBOX=true
  • shift 2
  • :
  • case $1 in
  • ‘[’ ‘’ = ‘’ ‘]’
  • true
  • break
  • ‘[’ ‘’ = amd64 ‘]’
  • ‘[’ ‘’ = ‘’ ‘]’
  • echo 'INFO: No --kernel has been chosen. Defaulting BUILD_KERNEL_PKGS to:
    linux-image-586
    linux-image-686-pae’
    INFO: No --kernel has been chosen. Defaulting BUILD_KERNEL_PKGS to:
    linux-image-586
    linux-image-686-pae
  • export ‘BUILD_KERNEL_PKGS=linux-image-586 linux-image-686-pae’
  • BUILD_KERNEL_PKGS=‘linux-image-586 linux-image-686-pae’
  • ‘[’ ‘’ = ‘’ ‘]’
  • echo 'INFO: No --headers have been chosen. Defaulting BUILD_HEADER_PKGS to:
    linux-headers-586
    linux-headers-686-pae’
    INFO: No --headers have been chosen. Defaulting BUILD_HEADER_PKGS to:
    linux-headers-586
    linux-headers-686-pae
  • export ‘BUILD_HEADER_PKGS=linux-headers-586 linux-headers-686-pae’
  • BUILD_HEADER_PKGS=‘linux-headers-586 linux-headers-686-pae’
  • ‘[’ ‘’ = ‘’ ‘]’
  • echo 'INFO: No --arch has been chosen. Defaulting BUILD_TARGET_ARCH to i386.
    (Other possible values would be amd64, kfreebsd-amd64 [untested], kfreebsd-i386 [untested].)'
    INFO: No --arch has been chosen. Defaulting BUILD_TARGET_ARCH to i386.
    (Other possible values would be amd64, kfreebsd-amd64 [untested], kfreebsd-i386 [untested].)
  • export BUILD_TARGET_ARCH=i386
  • BUILD_TARGET_ARCH=i386
  • ‘[’ ‘!’ ‘’ = 1 ‘]’
  • ‘[’ ‘!’ 1 = 1 ‘]’
  • ‘[’ 1 -gt 1 ‘]’
  • ‘[’ 1 -le 0 ‘]’
  • ‘[’ ‘’ = 1 ‘]’
  • ‘[’ true = true ‘]’
  • true
  • ‘[’ ‘’ = 1 ‘]’
  • export whonix_build_one_parsed=1
  • whonix_build_one_parsed=1
  • cd …
  • trap error_handler_whonix_build_one ERR
  • trap - INT
  • trap - TERM
  • ‘[’ ‘’ = 1 ‘]’
  • ‘[’ 1 = 1 ‘]’
  • whonix_build_machine
  • run-parts --verbose --test ./build-steps.d
    ./build-steps.d/1100_prepare-build-machine
    ./build-steps.d/1150_export-libvirt-xml
    ./build-steps.d/1200_create-debian-packages
    ./build-steps.d/1300_create-raw-image
    ./build-steps.d/1700_install-packages
    ./build-steps.d/2300_run-chroot-scripts-post-d
    ./build-steps.d/2400_convert-raw-to-qcow2
    ./build-steps.d/2500_convert-raw-to-vdi
    ./build-steps.d/2600_create-vbox-vm
    ./build-steps.d/2700_export-vbox-vm
    ./build-steps.d/2800_create-report
  • for whonix_build_one_build_step_current in ‘./build-steps.d/*’
  • ‘[’ -x ./build-steps.d/1100_prepare-build-machine ‘]’
  • ‘[’ e = ‘~’ ‘]’
  • grep -q .dpkg-
  • echo ./build-steps.d/1100_prepare-build-machine
  • true ‘############################################################’
  • true ‘############################################################’
  • true ‘############################################################’
  • true ‘INFO: BEGIN: whonix_build_one_build_step_current: ./build-steps.d/1100_prepare-build-machine’
  • ././build-steps.d/1100_prepare-build-machine
  • set -e
  • true ‘INFO: Currently running script: ././build-steps.d/1100_prepare-build-machine’
    +++ dirname ././build-steps.d/1100_prepare-build-machine
    ++ cd ././build-steps.d
    ++ pwd
  • MYDIR=/home/user/Whonix/build-steps.d
  • cd /home/user/Whonix/build-steps.d
  • cd …
  • cd help-steps
  • WHONIX_BUILD_INTERNALRUN=1
  • whonix_build_on_operating_system_detect_skip=1
  • whonix_build_no_unset_xtrace=true
  • true ‘INFO ././build-steps.d/1100_prepare-build-machine: BEGIN sourcing pre…’
  • source pre
    ++ ‘[’ ‘!’ true ‘]’
    ++ set -e
    ++ set -o pipefail
    ++ set -o errtrace
    ++ shopt -s extdebug
    ++ ‘[’ ‘’ = ‘’ ‘]’
    ++ whonix_build_error_counter=0
    ++ errorhandlersetup errorhandlergeneral ERR INT TERM
    ++ local handler signal
    ++ handler=errorhandlergeneral
    ++ shift
    ++ for signal in ‘"$@"’
    ++ trap ‘errorhandlergeneral ERR’ ERR
    ++ for signal in ‘"$@"’
    ++ trap ‘errorhandlergeneral INT’ INT
    ++ for signal in ‘"$@"’
    ++ trap ‘errorhandlergeneral TERM’ TERM
    ++ set +e
    ++ export -f errorhandlershell
    ++ export -f errorhandlerretry
    ++ export -f errorhandlerprocessshared
    ++ export -f errorhandlermaybeexit
    ++ export -f errorhandlergeneral
    ++ export -f errorhandlerunchrootunpreventunmount
    ++ export -f errorhandlerunmount
    ++ export -f errorhandlersetup
    ++ export -f functiontracefunction
    ++ export -f processbacktracefunction
    ++ errorhandlersetup errorhandlergeneral ERR INT TERM
    ++ local handler signal
    ++ handler=errorhandlergeneral
    ++ shift
    ++ for signal in ‘"$@"’
    ++ trap ‘errorhandlergeneral ERR’ ERR
    ++ for signal in ‘"$@"’
    ++ trap ‘errorhandlergeneral INT’ INT
    ++ for signal in ‘"$@"’
    ++ trap ‘errorhandlergeneral TERM’ TERM
    ++ bash -n pre
    ++ export -f convertsecs
    ++ export -f benchmarktimeend
    ++ benchmark_time_start
    +++ date +%s
    ++ export benchmark_time_start=1436897138
    ++ benchmark_time_start=1436897138
    ++ export -f exithandler
    ++ trap exithandler EXIT
    ++ ‘[’ ‘!’ true = true ‘]’
    ++ export -f aptcachemaybeenable
    ++ export -f aptcachedisable
    ++ set -x
  • true ‘INFO ././build-steps.d/1100_prepare-build-machine: END sourcing pre.’
  • true ‘INFO ././build-steps.d/1100_prepare-build-machine: BEGIN sourcing colors…’
  • source colors
    ++ ‘[’ ‘!’ true = true ‘]’
  • true ‘INFO ././build-steps.d/1100_prepare-build-machine: END sourcing colors.’
  • true ‘INFO ././build-steps.d/1100_prepare-build-machine: BEGIN sourcing variables…’
  • source variables
    ++ ‘[’ ‘!’ true ‘]’
    ++ command -v logname
    ++ command -v whoami
    ++ command -v dirname
    ++ command -v basename
    ++ command -v awk
    ++ command -v grep
    ++++ dirname variables
    +++ cd .
    +++ pwd
    ++ MYDIR=/home/user/Whonix/help-steps
    ++ bash -n variables
    ++ ‘[’ ‘’ = ‘’ ‘]’
    ++ ‘[’ ‘!’ user = ‘’ ‘]’
    ++ true ‘INFO variables: Setting user_name to SUDO_USER user…’
    ++ user_name=user
    ++ ‘[’ user = ‘’ ‘]’
    ++ ‘[’ user = ‘’ ‘]’
    ++ ‘[’ user = ‘’ ‘]’
    ++ export user_name
    ++ ‘[’ -n ‘’ ‘]’
    ++ HOMEVAR=/home/user
    ++ export HOMEVAR
    ++ ‘[’ -n ‘’ ‘]’
    ++ WHONIX_BINARY=/home/user/whonix_binary
    ++ export WHONIX_BINARY
    ++++ dirname variables
    +++ cd .
    +++ pwd
    ++ MYDIR=/home/user/Whonix/help-steps
    ++ ‘[’ -n ‘’ ‘]’
    +++ dirname /home/user/Whonix/help-steps
    ++ WHONIX_SOURCE_FOLDER=/home/user/Whonix
    ++ export WHONIX_SOURCE_FOLDER
    ++ ‘[’ -n ‘’ ‘]’
    +++ dirname /home/user/Whonix
    ++ whonix_parent_folder=/home/user
    ++ ‘[’ -n ‘’ ‘]’
    ++ whonix_dev_meta_files_folder=/home/user/Whonix/packages/whonix-developer-meta-files
    ++ ‘[’ -n ‘’ ‘]’
    +++ dirname /home/user/Whonix
    ++ WHONIX_SOURCE_PARENTDIR=/home/user
    ++ export WHONIX_SOURCE_PARENTDIR
    ++ ‘[’ -n ‘’ ‘]’
    ++ WHONIX_SOURCE_HELP_STEPS_FOLDER=/home/user/Whonix/help-steps
    ++ export WHONIX_SOURCE_HELP_STEPS_FOLDER
    ++ cd /home/user/Whonix
    ++ LANG=C
    ++ export LANG
    ++ echo ‘INFO: Setting… export UWT_DEV_PASSTHROUGH=“1”‘
    INFO: Setting… export UWT_DEV_PASSTHROUGH=“1”
    ++ ‘[’ -n ‘’ ‘]’
    ++ UWT_DEV_PASSTHROUGH=1
    ++ export UWT_DEV_PASSTHROUGH
    ++ ‘[’ -n ‘’ ‘]’
    ++ DEBDEBUG=1
    ++ export DEBDEBUG
    ++ ‘[’ ‘!’ 1 = 1 ‘]’
    ++ ‘[’ 1 = 1 ‘]’
    ++ ‘[’ -n ‘’ ‘]’
    ++ VMNAME=Whonix-Gateway
    ++ export VMNAME
    ++ ‘[’ -n ‘’ ‘]’
    ++ VMRAM=768
    ++ export VMRAM
    ++ ‘[’ -n ‘’ ‘]’
    ++ VRAM=8
    ++ export VRAM
    ++ ‘[’ ‘’ = 1 ‘]’
    ++ ‘[’ ‘’ = 1 ‘]’
    ++ ‘[’ -n ‘’ ‘]’
    ++ VMSIZE=100G
    ++ export VMSIZE
    ++ ‘[’ -n ‘’ ‘]’
    ++ DISK_IDENTIFIER=26ada0c0-1165-4098-884d-aafd2220c2c6
    ++ export DISK_IDENTIFIER
    ++ ‘[’ 1 = 1 ‘]’
    ++ ‘[’ Whonix-Gateway = ‘’ ‘]’
    ++ ‘[’ ‘’ = 1 ‘]’
    ++ ‘[’ ‘’ = true ‘]’
    ++ ‘[’ -n ‘’ ‘]’
    ++ CHROOT_FOLDER=/home/user/whonix_binary/Whonix-Gateway_image
    ++ ANON_BUILD_INSTALL_TO_ROOT=0
    ++ export ANON_BUILD_INSTALL_TO_ROOT
    ++ export CHROOT_FOLDER
    ++ true ‘variables INFO: CHROOT_FOLDER: /home/user/whonix_binary/Whonix-Gateway_image’
    ++ ‘[’ Whonix-Gateway = unknown ‘]’
    ++ ‘[’ Whonix-Gateway = internal ‘]’
    ++ true ‘variables INFO: VMNAME is Whonix-Gateway’
    ++ ‘[’ Whonix-Gateway = ‘’ ‘]’
    ++ ‘[’ ‘’ = true ‘]’
    ++ ‘[’ 0 = 1 ‘]’
    ++ ‘[’ ‘’ = true ‘]’
    ++ ‘[’ -n ‘’ ‘]’
    ++ CHROOT=‘chroot /home/user/whonix_binary/Whonix-Gateway_image’
    ++ ‘[’ ‘’ = 1 ‘]’
    ++ ‘[’ -n ‘’ ‘]’
    ++ git_bin=git
    ++ ‘[’ -n ‘’ ‘]’
    ++ whonix_build_grml_bin=grml-debootstrap
    ++ ‘[’ -n ‘’ ‘]’
    ++ rsync_opts=’ --perms --chmod=uog+r --times --partial --progress --verbose ‘
    ++ ‘[’ -n ‘’ ‘]’
    ++ whonix_build_auto_retry=1
    ++ ‘[’ -n ‘’ ‘]’
    ++ whonix_build_wait_auto_retry=5
    ++ command -v git
    ++ ‘[’ -n ‘’ ‘]’
    ++ DEB_INSTALL_FOLDER=/mnt/initialdeb
    ++ export DEB_INSTALL_FOLDER
    ++ ‘[’ -n ‘’ ‘]’
    ++ EMPTY_DIR=/tmp/empty
    ++ export EMPTY_DIR
    ++ ‘[’ -n ‘’ ‘]’
    ++ WHONIX_SOURCES_LIST_TEMP_BUILD_FOLDER=/var/lib/whonix/sources_temp_list.d
    ++ ‘[’ 1 = 1 ‘]’
    ++ true ‘Probably run by prepare-build-machine script. lsb_release may not yet installed. Skipping setting whonix_build_on_operating_system.’
    ++ ‘[’ -n ‘’ ‘]’
    +++ git rev-parse HEAD
    ++ whonix_build_current_git_head=ce54d634da5c9d01706d085a7eda2a0d36f3d165
    +++ git describe --always --abbrev=1000000000
    ++ temp=11.0.0.3.0-testers-only-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165
    ++ ‘[’ ‘’ = ‘’ ‘]’
    ++ anon_dist_build_version=11.0.0.3.0-testers-only-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165
    +++ sed ‘s|-developers-only||g’
    +++ echo 11.0.0.3.0-testers-only-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165
    ++ anon_dist_build_version=11.0.0.3.0-testers-only-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165
    +++ sed ‘s|-testers-only||g’
    +++ echo 11.0.0.3.0-testers-only-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165
    ++ anon_dist_build_version=11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165
    +++ sed ‘s|-stable||g’
    +++ echo 11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165
    ++ anon_dist_build_version=11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165
    ++ echo ‘INFO: Variable anon_dist_build_version was unset. Auto detected. Set to: 11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165’
    INFO: Variable anon_dist_build_version was unset. Auto detected. Set to: 11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165
    ++ export anon_dist_build_version
    ++ ‘[’ -n ‘’ ‘]’
    ++ binary_image_raw=/home/user/whonix_binary/Whonix-Gateway-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165.raw
    ++ ‘[’ -n ‘’ ‘]’
    ++ binary_image_qcow2=/home/user/whonix_binary/Whonix-Gateway-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165.qcow2
    ++ ‘[’ -n ‘’ ‘]’
    ++ binary_image_ova=/home/user/whonix_binary/Whonix-Gateway-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165.ova
    ++ ‘[’ -n ‘’ ‘]’
    ++ binary_image_ova_signature=/home/user/whonix_binary/Whonix-Gateway-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165.ova.asc
    ++ ‘[’ -n ‘’ ‘]’
    ++ binary_image_ova_torrent=/home/user/whonix_binary/torrent-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165/Whonix-Gateway-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165.ova.torrent
    ++ ‘[’ -n ‘’ ‘]’
    ++ binary_image_ova_torrent_signature=/home/user/whonix_binary/torrent-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165/Whonix-Gateway-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165.ova.torrent.asc
    ++ ‘[’ -n ‘’ ‘]’
    ++ libvirt_source_kvm_file=/home/user/Whonix/packages/whonix-libvirt/usr/share/whonix-libvirt/xml/Whonix-Gateway.xml
    ++ ‘[’ -n ‘’ ‘]’
    ++ libvirt_target_kvm_file=/home/user/whonix_binary/Whonix-Gateway-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165.xml
    ++ ‘[’ -n ‘’ ‘]’
    ++ libvirt_source_network_file=/home/user/Whonix/packages/whonix-libvirt/usr/share/whonix-libvirt/xml/Whonix_network.xml
    ++ ‘[’ -n ‘’ ‘]’
    ++ libvirt_target_network_file=/home/user/whonix_binary/Whonix_network-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165.xml
    ++ ‘[’ -n ‘’ ‘]’
    ++ libvirt_target_xz_archive=/home/user/whonix_binary/Whonix-Gateway-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165.libvirt.xz
    ++ ‘[’ -n ‘’ ‘]’
    ++ libvirt_target_xz_archive_signature=/home/user/whonix_binary/Whonix-Gateway-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165.libvirt.xz.asc
    ++ ‘[’ -n ‘’ ‘]’
    ++ libvirt_target_xz_archive_torrent=/home/user/whonix_binary/torrent-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165/Whonix-Gateway-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165.libvirt.xz.torrent
    ++ ‘[’ -n ‘’ ‘]’
    ++ libvirt_target_xz_archive_torrent_signature=/home/user/whonix_binary/torrent-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165/Whonix-Gateway-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165.libvirt.xz.torrent.asc
    ++ ‘[’ -n ‘’ ‘]’
    ++ sha_two_hundredth_fifty_six_hash_file=/home/user/whonix_binary/Whonix-Gateway-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165.sha256sums
    ++ ‘[’ -n ‘’ ‘]’
    ++ sha_two_hundredth_fifty_six_hash_file_signature=/home/user/whonix_binary/Whonix-Gateway-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165.sha256sums.asc
    ++ ‘[’ -n ‘’ ‘]’
    ++ sha_five_hundredth_twelve_hash_file=/home/user/whonix_binary/Whonix-Gateway-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165.sha512sums
    ++ ‘[’ -n ‘’ ‘]’
    ++ sha_five_hundredth_twelve_hash_file_signature=/home/user/whonix_binary/Whonix-Gateway-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165.sha512sums.asc
    ++ ‘[’ 1 = 1 ‘]’
    ++ ‘[’ -n ‘’ ‘]’
    ++ whonix_build_qcow2_file_list=’ /home/user/whonix_binary/Whonix-Gateway-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165.qcow2 /home/user/whonix_binary/Whonix-Gateway-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165.xml /home/user/whonix_binary/Whonix_network-11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165.xml ‘
    ++ ‘[’ -n ‘’ ‘]’
    ++ whonix_build_config_dirs=’/home/user/Whonix/buildconfig.d /etc/whonix_buildconfig.d …/buildconfig.d’
    ++ for whonix_build_config_dir in ‘$whonix_build_config_dirs’
    ++ whonix_build_source_config_dir /home/user/Whonix/buildconfig.d
    ++ true ‘INFO: Checking if whonix_build_config_dir /home/user/Whonix/buildconfig.d exists…’
    ++ ‘[’ -d /home/user/Whonix/buildconfig.d ‘]’
    ++ true ‘INFO: Parsing /home/user/Whonix/buildconfig.d…’
    ++ for i in ‘"$1/"
    ++ ‘[’ -f /home/user/Whonix/buildconfig.d/30_apt_opts ‘]’
    ++ ‘[’ s = ‘~’ ‘]’
    ++ grep -q .dpkg-
    ++ echo /home/user/Whonix/buildconfig.d/30_apt_opts
    ++ bash -n /home/user/Whonix/buildconfig.d/30_apt_opts
    ++ source /home/user/Whonix/buildconfig.d/30_apt_opts
    +++ ‘[’ ‘’ = ‘’ ‘]’
    +++ export 'apt_sourcelist_empty= -o Dir::Etc::sourcelist=/tmp/empty ‘
    +++ apt_sourcelist_empty=’ -o Dir::Etc::sourcelist=/tmp/empty '
    +++ ‘[’ ‘’ = ‘’ ‘]’
    +++ export 'apt_sourceparts= -o Dir::Etc::sourceparts=/var/lib/whonix/sources_temp_list.d ‘
    +++ apt_sourceparts=’ -o Dir::Etc::sourceparts=/var/lib/whonix/sources_temp_list.d '
    +++ ‘[’ -z ‘’ ‘]’
    +++ export 'apt_verify_opts+= -o Acquire::Check-Valid-Until=false ‘
    +++ apt_verify_opts+=’ -o Acquire::Check-Valid-Until=false '
    +++ export 'apt_verify_opts+= -o APT::Get::force-yes=0 ‘
    +++ apt_verify_opts+=’ -o APT::Get::force-yes=0 '
    +++ export 'apt_timeout_opts+= -o Acquire::http::Timeout=180 ‘
    +++ apt_timeout_opts+=’ -o Acquire::http::Timeout=180 '
    +++ export 'apt_timeout_opts+= -o Acquire::ftp::Timeout=180 ‘
    +++ apt_timeout_opts+=’ -o Acquire::ftp::Timeout=180 '
    +++ export 'apt_timeout_opts+= -o Acquire::Retries=3 ‘
    +++ apt_timeout_opts+=’ -o Acquire::Retries=3 '
    +++ ‘[’ -n ‘’ ‘]’
    +++ apt_get_update_wrapper_bin_path_full=/usr/lib/apt-get-wrapper
    +++ ‘[’ -n ‘’ ‘]’
    +++ apt_get_update_wrapper_source_path_full=/home/user/Whonix/packages/whonixcheck//usr/lib/apt-get-wrapper
    +++ export apt_get_update_wrapper_bin_path_full
    +++ export apt_get_update_wrapper_source_path_full
    +++ ‘[’ -n ‘’ ‘]’
    +++ DEBIAN_FRONTEND=noninteractive
    +++ ‘[’ -n ‘’ ‘]’
    +++ DEBIAN_PRIORITY=critical
    +++ ‘[’ -n ‘’ ‘]’
    +++ DEBCONF_NOWARNINGS=yes
    +++ ‘[’ -n ‘’ ‘]’
    +++ APT_LISTCHANGES_FRONTEND=text
    +++ export DEBIAN_FRONTEND DEBIAN_PRIORITY DEBCONF_NOWARNINGS APT_LISTCHANGES_FRONTEND
    ++ for i in '"$1/"

    ++ ‘[’ -f /home/user/Whonix/buildconfig.d/30_apt_sources ‘]’
    ++ ‘[’ s = ‘~’ ‘]’
    ++ grep -q .dpkg-
    ++ echo /home/user/Whonix/buildconfig.d/30_apt_sources
    ++ bash -n /home/user/Whonix/buildconfig.d/30_apt_sources
    ++ source /home/user/Whonix/buildconfig.d/30_apt_sources
    +++ true ‘whonix_build_on_operating_system: ‘
    +++ ‘[’ ‘’ = ubuntu ‘]’
    +++ ‘[’ ‘’ = debian ‘]’
    +++ ‘[’ 1 = 1 ‘]’
    +++ true ‘whonix_build_on_operating_system_detect_skip (a): 1’
    +++ ‘[’ 1 = 1 ‘]’
    +++ true ‘whonix_build_on_operating_system_detect_skip (b): 1’
    ++ for i in ‘"$1/"
    ++ ‘[’ -f /home/user/Whonix/buildconfig.d/30_custom_configs_help ‘]’
    ++ ‘[’ p = ‘~’ ‘]’
    ++ grep -q .dpkg-
    ++ echo /home/user/Whonix/buildconfig.d/30_custom_configs_help
    ++ bash -n /home/user/Whonix/buildconfig.d/30_custom_configs_help
    ++ source /home/user/Whonix/buildconfig.d/30_custom_configs_help
    ++ for i in '"$1/"

    ++ ‘[’ -f /home/user/Whonix/buildconfig.d/30_debchange ‘]’
    ++ ‘[’ e = ‘~’ ‘]’
    ++ grep -q .dpkg-
    ++ echo /home/user/Whonix/buildconfig.d/30_debchange
    ++ bash -n /home/user/Whonix/buildconfig.d/30_debchange
    ++ source /home/user/Whonix/buildconfig.d/30_debchange
    ++ for i in ‘"$1/"
    ++ ‘[’ -f /home/user/Whonix/buildconfig.d/30_dependencies ‘]’
    ++ ‘[’ s = ‘~’ ‘]’
    ++ grep -q .dpkg-
    ++ echo /home/user/Whonix/buildconfig.d/30_dependencies
    ++ bash -n /home/user/Whonix/buildconfig.d/30_dependencies
    ++ source /home/user/Whonix/buildconfig.d/30_dependencies
    +++ whonix_build_script_build_dependency+=’ sudo ‘
    +++ whonix_build_script_build_dependency+=’ ruby-ronn ‘
    +++ whonix_build_script_build_dependency+=’ diffutils ‘
    +++ whonix_build_script_build_dependency+=’ debhelper ‘
    +++ whonix_build_script_build_dependency+=’ dialog ‘
    +++ whonix_build_script_build_dependency+=’ haveged ‘
    +++ whonix_build_script_build_dependency+=’ devscripts ‘
    +++ whonix_build_script_build_dependency+=’ git ‘
    +++ whonix_build_script_build_dependency+=’ reprepro ‘
    +++ whonix_build_script_build_dependency+=’ libfile-fcntllock-perl ‘
    +++ whonix_build_script_build_dependency+=’ config-package-dev ‘
    +++ whonix_build_script_build_dependency+=’ dh-apparmor ‘
    +++ whonix_build_script_build_dependency+=’ dh-systemd ‘
    +++ whonix_build_script_build_dependency+=’ dh-python ‘
    +++ whonix_build_script_build_dependency+=’ gawk ‘
    +++ whonix_build_script_build_dependency+=’ bash-completion ‘
    +++ whonix_build_script_build_dependency+=’ grep ‘
    +++ whonix_build_script_build_dependency+=’ debian-archive-keyring ‘
    +++ whonix_build_script_build_dependency+=’ faketime ‘
    +++ whonix_build_script_build_dependency+=’ fakeroot ‘
    +++ whonix_build_script_build_dependency+=’ vbindiff ‘
    +++ whonix_build_script_build_dependency+=’ lsb-release ‘
    +++ whonix_build_script_build_dependency+=’ pv ‘
    +++ whonix_build_script_build_dependency+=’ python-all-dev ‘
    +++ whonix_build_script_build_dependency+=’ python-stdeb '
    ++ for i in '"$1/"

    ++ ‘[’ -f /home/user/Whonix/buildconfig.d/30_skip_backup-raw-after-grml-debootstrap ‘]’
    ++ ‘[’ p = ‘~’ ‘]’
    ++ grep -q .dpkg-
    ++ echo /home/user/Whonix/buildconfig.d/30_skip_backup-raw-after-grml-debootstrap
    ++ bash -n /home/user/Whonix/buildconfig.d/30_skip_backup-raw-after-grml-debootstrap
    ++ source /home/user/Whonix/buildconfig.d/30_skip_backup-raw-after-grml-debootstrap
    +++ export ‘SKIP_SCRIPTS+= 1400_backup-raw-after-grml-debootstrap ‘
    +++ SKIP_SCRIPTS+=’ 1400_backup-raw-after-grml-debootstrap ‘
    ++ for i in ‘"$1/"
    ++ ‘[’ -f /home/user/Whonix/buildconfig.d/30_skip_backup-raw-after-meta-package-install ‘]’
    ++ ‘[’ l = ‘~’ ‘]’
    ++ grep -q .dpkg-
    ++ echo /home/user/Whonix/buildconfig.d/30_skip_backup-raw-after-meta-package-install
    ++ bash -n /home/user/Whonix/buildconfig.d/30_skip_backup-raw-after-meta-package-install
    ++ source /home/user/Whonix/buildconfig.d/30_skip_backup-raw-after-meta-package-install
    +++ export 'SKIP_SCRIPTS+= 1800_backup-raw-after-package-install ‘
    +++ SKIP_SCRIPTS+=’ 1800_backup-raw-after-package-install '
    ++ for i in '"$1/"

    ++ ‘[’ -f /home/user/Whonix/buildconfig.d/30_skip_export-vbox-vm ‘]’
    ++ ‘[’ m = ‘~’ ‘]’
    ++ grep -q .dpkg-
    ++ echo /home/user/Whonix/buildconfig.d/30_skip_export-vbox-vm
    ++ bash -n /home/user/Whonix/buildconfig.d/30_skip_export-vbox-vm
    ++ source /home/user/Whonix/buildconfig.d/30_skip_export-vbox-vm
    ++ for i in ‘"$1/"
    ++ ‘[’ -f /home/user/Whonix/buildconfig.d/30_skip_packages ‘]’
    ++ ‘[’ s = ‘~’ ‘]’
    ++ grep -q .dpkg-
    ++ echo /home/user/Whonix/buildconfig.d/30_skip_packages
    ++ bash -n /home/user/Whonix/buildconfig.d/30_skip_packages
    ++ source /home/user/Whonix/buildconfig.d/30_skip_packages
    ++ for i in '"$1/"

    ++ ‘[’ -f /home/user/Whonix/buildconfig.d/30_skip_report ‘]’
    ++ ‘[’ t = ‘~’ ‘]’
    ++ grep -q .dpkg-
    ++ echo /home/user/Whonix/buildconfig.d/30_skip_report
    ++ bash -n /home/user/Whonix/buildconfig.d/30_skip_report
    ++ source /home/user/Whonix/buildconfig.d/30_skip_report
    ++ for i in ‘"$1/"
    ++ ‘[’ -f /home/user/Whonix/buildconfig.d/30_skip_sanity_checks ‘]’
    ++ ‘[’ s = ‘~’ ‘]’
    ++ grep -q .dpkg-
    ++ echo /home/user/Whonix/buildconfig.d/30_skip_sanity_checks
    ++ bash -n /home/user/Whonix/buildconfig.d/30_skip_sanity_checks
    ++ source /home/user/Whonix/buildconfig.d/30_skip_sanity_checks
    ++ for i in '"$1/"

    ++ ‘[’ -f /home/user/Whonix/buildconfig.d/30_skip_verifiable ‘]’
    ++ ‘[’ e = ‘~’ ‘]’
    ++ grep -q .dpkg-
    ++ echo /home/user/Whonix/buildconfig.d/30_skip_verifiable
    ++ bash -n /home/user/Whonix/buildconfig.d/30_skip_verifiable
    ++ source /home/user/Whonix/buildconfig.d/30_skip_verifiable
    ++ for i in ‘"$1/"
    ++ ‘[’ -f /home/user/Whonix/buildconfig.d/30_target_arch ‘]’
    ++ ‘[’ h = ‘~’ ‘]’
    ++ grep -q .dpkg-
    ++ echo /home/user/Whonix/buildconfig.d/30_target_arch
    ++ bash -n /home/user/Whonix/buildconfig.d/30_target_arch
    ++ source /home/user/Whonix/buildconfig.d/30_target_arch
    ++ for i in '"$1/"

    ++ ‘[’ -f /home/user/Whonix/buildconfig.d/30_trust ‘]’
    ++ ‘[’ t = ‘~’ ‘]’
    ++ grep -q .dpkg-
    ++ echo /home/user/Whonix/buildconfig.d/30_trust
    ++ bash -n /home/user/Whonix/buildconfig.d/30_trust
    ++ source /home/user/Whonix/buildconfig.d/30_trust
    ++ for i in ‘"$1/"*’
    ++ ‘[’ -f /home/user/Whonix/buildconfig.d/30_upgrade_build_machine ‘]’
    ++ ‘[’ e = ‘~’ ‘]’
    ++ grep -q .dpkg-
    ++ echo /home/user/Whonix/buildconfig.d/30_upgrade_build_machine
    ++ bash -n /home/user/Whonix/buildconfig.d/30_upgrade_build_machine
    ++ source /home/user/Whonix/buildconfig.d/30_upgrade_build_machine
    +++ ‘[’ ‘’ = ‘’ ‘]’
    +++ export WHONIX_BUILD_UPGRADE_BUILD_MACHINE=0
    +++ WHONIX_BUILD_UPGRADE_BUILD_MACHINE=0
    +++ ‘[’ ‘’ = ‘’ ‘]’
    +++ export WHONIX_BUILD_UNATTENDED_PKG_INSTALL=1
    +++ WHONIX_BUILD_UNATTENDED_PKG_INSTALL=1
    ++ for whonix_build_config_dir in ‘$whonix_build_config_dirs’
    ++ whonix_build_source_config_dir /etc/whonix_buildconfig.d
    ++ true ‘INFO: Checking if whonix_build_config_dir /etc/whonix_buildconfig.d exists…’
    ++ ‘[’ -d /etc/whonix_buildconfig.d ‘]’
    ++ true ‘INFO: Skipping /etc/whonix_buildconfig.d because it does not exist.’
    ++ for whonix_build_config_dir in ‘$whonix_build_config_dirs’
    ++ whonix_build_source_config_dir …/buildconfig.d
    ++ true ‘INFO: Checking if whonix_build_config_dir …/buildconfig.d exists…’
    ++ ‘[’ -d …/buildconfig.d ‘]’
    ++ true ‘INFO: Skipping …/buildconfig.d because it does not exist.’
    ++ ‘[’ ‘!’ ‘’ = ‘’ ‘]’
    ++ ‘[’ ‘!’ ‘’ = ‘’ ‘]’
    ++ ‘[’ -n ‘’ ‘]’
    ++ DEBFULLNAME=‘Whonix auto generated local APT signing key’
    ++ export DEBFULLNAME
    ++ ‘[’ -n ‘’ ‘]’
    ++ DEBEMAIL=whonix@local-signing.key
    ++ export DEBEMAIL
    ++ ‘[’ -n ‘’ ‘]’
    ++ DEBUILD_LINTIAN_OPTS=’–pedantic --info --display-info --fail-on-warnings’
    ++ export DEBUILD_LINTIAN_OPTS
    ++ ‘[’ ‘’ = ‘’ ‘]’
    ++ ‘[’ ‘’ = ‘’ ‘]’
    ++ WHONIX_BUILD_SIGN_LOCAL_REPOSITORY=false
    ++ export WHONIX_BUILD_SIGN_LOCAL_REPOSITORY
    ++ ‘[’ -n ‘’ ‘]’
    ++ WHONIX_BUILD_APT_CODENAME=local
    ++ export WHONIX_BUILD_APT_CODENAME
    ++ ‘[’ local = local ‘]’
    ++ temp=aptrepo_local
    ++ ‘[’ -n ‘’ ‘]’
    ++ WHONIX_APT_REPOSITORY_FOLDER=/home/user/whonix_binary/aptrepo_local
    ++ export WHONIX_APT_REPOSITORY_FOLDER
    ++ ‘[’ -n ‘’ ‘]’
    ++ WHONIX_BUILD_REPREPRO_FOLDER_OPTIONS=’ --basedir /home/user/Whonix/aptrepo_local --outdir /home/user/whonix_binary/aptrepo_local --dbdir /home/user/whonix_binary/aptrepo_local/db --logdir /home/user/whonix_binary/aptrepo_local/log’
    ++ export WHONIX_BUILD_REPREPRO_FOLDER_OPTIONS
    ++ ‘[’ -n i386 ‘]’
    ++ export BUILD_TARGET_ARCH
    ++ ‘[’ -n ‘’ ‘]’
    ++ whonix_build_file_system=ext4
    ++ ‘[’ -n ‘’ ‘]’
    ++ whonix_build_hostname=host
    ++ ‘[’ -n ‘’ ‘]’
    ++ whonix_build_os_password=changeme
    ++ whonix_build_debopt+=’ --verbose '
    +++ basename variables
    ++ own_filename=variables
    ++ for skip_script in ‘$SKIP_SCRIPTS’
    ++ ‘[’ variables = 1400_backup-raw-after-grml-debootstrap ‘]’
    ++ for skip_script in ‘$SKIP_SCRIPTS’
    ++ ‘[’ variables = 1800_backup-raw-after-package-install ‘]’
    ++ unset skip_script
    ++ set -x
    ++ true 'INFO: Currently running script: ././build-steps.d/1100_prepare-build-machine '
    ++ true 'INFO: LD_PRELOAD: ’
  • true ‘INFO ././build-steps.d/1100_prepare-build-machine: END sourcing variables.’
  • unset whonix_build_no_unset_xtrace
  • unset whonix_build_on_operating_system_detect_skip
  • main
  • root_check
    ++ id -u
  • ‘[’ 0 ‘!=’ 0 ‘]’
  • true ‘INFO: Script running as root.’
  • ‘[’ true = true ‘]’
  • check-virtualbox-vm-exists
  • ‘[’ Whonix-Gateway = internalrun ‘]’
  • local command_v_exit_code=0
  • command -v VBoxManage
  • command_v_exit_code=1
  • true
  • ‘[’ ‘!’ 1 = 0 ‘]’
  • true ‘INFO: VBoxManage command not yet available, ok.’
  • return 0
  • ‘[’ ‘’ = 1 ‘]’
  • true 'INFO: PWD: /home/user/Whonix '
    ++ stat -c %U ././build-steps.d/1100_prepare-build-machine
  • stat_output_owner=root
    ++ stat -c %G ././build-steps.d/1100_prepare-build-machine
  • stat_output_group=root
  • ‘[’ root = root ‘]’
  • error ‘ERROR ././build-steps.d/1100_prepare-build-machine: Is owned by root user! Instructions say you should get Whonix’’‘s source code as user, not root! Please delete Whonix’’‘s source code folder and get it again as user, not root!’
  • true ‘############################################################’
  • true ‘ERROR: ERROR ././build-steps.d/1100_prepare-build-machine: Is owned by root user! Instructions say you should get Whonix’’‘s source code as user, not root! Please delete Whonix’’‘s source code folder and get it again as user, not root!’
  • true ‘############################################################’
  • error_ 'See above! (There should be a bold, red message surrounded by blue hashtags (#).)'
    pre: line 20: error_: command not found
    ++ errorhandlergeneral ERR
    ++ last_failed_exit_code=127
    ++ last_failed_bash_command=‘error_ “See above! (There should be a bold, red message surrounded by blue hashtags (#).)”’
    ++ true ‘INFO: Middle of function errorhandlergeneral of ././build-steps.d/1100_prepare-build-machine.’
    ++ errorhandlerprocessshared ERR
    ++ last_script=././build-steps.d/1100_prepare-build-machine
    ++ trap_signal_type_previous=
    ++ ‘[’ ‘’ = ‘’ ‘]’
    ++ trap_signal_type_previous=unset
    ++ trap_signal_type_last=ERR
    ++ whonix_build_error_counter=1
    +++ benchmarktimeend 1436897138
    ++++ date +%s
    +++ benchmarktimeend=1436897138
    +++ benchmark_took_seconds=0
    ++++ convertsecs 0
    ++++ local h m s
    ++++ (( h=0/3600 ))
    ++++ true
    ++++ (( m=(0%3600)/60 ))
    ++++ true
    ++++ (( s=0%60 ))
    ++++ true
    ++++ printf ‘%02d:%02d:%02d\n’ 0 0 0
    +++ echo 00:00:00
    ++ benchmark_took_time=00:00:00
    ++ processbacktracefunction
    ++ true ‘INFO: BEGIN: processbacktracefunction’
    ++ ‘[’ -o xtrace ‘]’
    ++ set +x
    ++ true ‘INFO: END : processbacktracefunction’
    ++ functiontracefunction
    ++ true ‘INFO: BEGIN: functiontracefunction’
    ++ ‘[’ -o xtrace ‘]’
    ++ set +x
    ++ true ‘INFO: END : functiontracefunction’
    ++ true ‘
    ############################################################
    ERROR in ././build-steps.d/1100_prepare-build-machine detected!
    anon_dist_build_version: 11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165
    (whonix_build_error_counter: 1)
    (benchmark: 00:00:00)
    trap_signal_type_previous: unset
    trap_signal_type_last : ERR
    process_backtrace_result:
    1: : /sbin/init
    2: : /usr/lib/gnome-terminal/gnome-terminal-server
    3: : bash
    4: : sudo /home/user/Whonix/whonix_build --flavor whonix-gateway --flavor whonix-workstation – --build --target virtualbox
    5: : /bin/bash /home/user/Whonix/whonix_build --flavor whonix-gateway --flavor whonix-workstation – --build --target virtualbox
    6: : /bin/bash ./help-steps/whonix_build_one --flavor whonix-gateway --build --target virtualbox
    7: : /bin/bash ././build-steps.d/1100_prepare-build-machine
    function_trace_result:
    main (line number: 594)
    main (line number: 147)
    error (line number: 20)
    errorhandlergeneral (line number: 311)
    errorhandlerprocessshared (line number: 159)
    last_failed_bash_command: error_ "See above! (There should be a bold, red message surrounded by blue hashtags (#).)"
    last_failed_exit_code: 127
    ERROR in ././build-steps.d/1100_prepare-build-machine detected!
    ############################################################

    ++ ‘[’ ERR = INT ‘]’
    ++ ‘[’ ERR = TERM ‘]’
    ++ ‘[’ ERR = ERR ‘]’
    ++ true ‘INFO: trap_signal_type_last: ERR, considering auto retry…’
    ++ ‘[’ ‘!’ 1 = 0 ‘]’
    ++ ‘[’ ‘’ = ‘’ ‘]’
    ++ whonix_build_auto_retry_counter=1
    ++ ‘[’ -n 1 ‘]’
    ++ ‘[’ -n 5 ‘]’
    ++ local first
    ++ read -r first _
    ++ ‘[’ error_ = error_ ‘]’
    ++ true ‘INFO: No auto retry because first item of last_failed_bash_command is “error_”.’
    ++ unset whonix_build_auto_retry_counter
    ++ ignore_error=false
    ++ answer=
    ++ ‘[’ ERR = ERR ‘]’
    ++ true 'INFO: whonix_build_non_interactive: | CI: '
    ++ ‘[’ ‘’ = true ‘]’
    ++ ‘[’ ‘’ = true ‘]’
    ++ ‘[’ -t 0 ‘]’
    ++ true ‘INFO: stdin connected to terminal, using interactive error handler.’
    ++ true 'ERROR in ././build-steps.d/1100_prepare-build-machine detected!
    Please have a look above (the block within ###…), note the command that failed, last_failed_exit_code and its output (further above).
  • Please enter c and press enter to ignore the error and continue building. (Recommended against!)
  • Please press r and enter to retry.
  • Please press s and enter to open an chroot interactive shell.
  • Please press enter to cleanup and exit.’
    ++ read -p 'Answer? ’ answer
    Answer?
    ++ error_handler_do_retry=
    ++ interactive_chroot_shell=
    ++ ‘[’ ‘’ = continue ‘]’
    ++ ‘[’ ‘’ = c ‘]’
    ++ ‘[’ ‘’ = s ‘]’
    ++ ‘[’ ‘’ = shell ‘]’
    ++ ‘[’ ‘’ = r ‘]’
    ++ ‘[’ ‘’ = retry ‘]’
    ++ ignore_error=false
    ++ interactive_chroot_shell=false
    ++ errorhandlermaybeexit ERR
    ++ ‘[’ ‘’ = true ‘]’
    ++ ‘[’ false = true ‘]’
    ++ abort_or_continue=Aborted
    ++ rm --force /etc/apt/sources.list.d/whonix_temp.list
    ++ rm --force /var/run/package_manager_lock
    ++ ‘[’ false = true ‘]’
    ++ ‘[’ ERR = INT ‘]’
    ++ ‘[’ ERR = TERM ‘]’
    ++ trap - EXIT
    ++ true ‘INFO: Now exiting from ././build-steps.d/1100_prepare-build-machine (because error was detected, see above) with exit code 1.’
    ++ exit 1
    ++ error_handler_whonix_build_one
    ++ true ‘ERROR in ./help-steps/whonix_build_one’
    ++ true ‘BASH_COMMAND: “./$whonix_build_one_build_step_current”’
    ++ true ‘whonix_build_one_build_step_current: ./build-steps.d/1100_prepare-build-machine’
    ++ true ‘args: --flavor whonix-gateway --build --target virtualbox’
    ++ true ‘INFO: Now exiting from ./help-steps/whonix_build_one (because error was detected, see above).’
    ++ exit 1
  • exithandler
  • local exit_code=1
  • ‘[’ ‘!’ 1 = 0 ‘]’
  • exit 1
    ++ error_handler_build_main
    ++ true ‘ERROR in /home/user/Whonix/whonix_build’
    ++ true ‘BASH_COMMAND: ./help-steps/whonix_build_one --flavor whonix-gateway $build_args’
    ++ true ‘INFO: Now exiting from /home/user/Whonix/whonix_build (because error was detected, see above).’
    ++ exit 1
  • exithandler
  • local exit_code=1
  • ‘[’ ‘!’ 1 = 0 ‘]’
  • exit 1
    user@debian:~$
    [/code]

#9

You need to do exactly what https://i.imgur.com/dP9Oz3X.jpg says. Delete Whonix’s source code folder. Start fresh.

Don’t!
sudo su
git clone …

Only use “git clone …” as non-root user.


#10

so the steps simply r :-

1-

2-

3-

also, its good to add “note: dont use sudo with git clone” or …etc from what u like.


#11

Yes.

It goes for most commands. Unless using “sudo” in documentation, it’s expected to run as a user. Some general advice above somewhere would be good.


#12

good, but i want to ask if turning the screen of debian to completely black is normal while building ?

i think i know the cause of that , its an error in the build, c this:-

-short just to show the exact errors, c the images:-

1- http://i.imgur.com/8JpEX15.png

2- http://i.imgur.com/5HhJfad.png

3- http://i.imgur.com/4M0ux01.png

-long with code:-

[code]+ ‘[’ 0 = 0 ‘]’

  • true ‘INFO: End of: /home/user/Whonix/help-steps/cleanup-files | exit_code: 0 | error(s) detected: 0 | benchmark: 00:00:00’
  • exit 0
  • true '././build-steps.d/1200_create-debian-packages INFO: Cleaned old packages. ’
  • source /home/user/Whonix/help-steps/git_sanity_test
    ++ [[ /home/user/Whonix/help-steps/git_sanity_test != ././\b\u\i\l\d-\s\t\e\p\s.\d/\1\2\0\0_\c\r\e\a\t\e-\d\e\b\i\a\n-\p\a\c\k\a\g\e\s ]]
    ++ script_was_sourced=true
    ++ ‘[’ true = false ‘]’
    ++ ‘[’ true = false ‘]’
  • git_sanity_test_main
  • git_sanity_test_parse_cmd
  • true 'INFO: git_sanity_test_parse_cmd | args: ’
  • :
  • case $1 in
  • break
  • git_sanity_test_check_for_untagged_commits
    ++ git describe --always --abbrev=0
  • git_tag_nearest=11.0.0.3.0-testers-only
    ++ git describe --always --abbrev=1000000000
  • git_tag_current=11.0.0.3.0-testers-only-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165
  • true '/home/user/Whonix/help-steps/git_sanity_test INFO: git_tag_nearest: 11.0.0.3.0-testers-only ’
  • true '/home/user/Whonix/help-steps/git_sanity_test INFO: git_tag_current: 11.0.0.3.0-testers-only-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165 ’
  • ‘[’ 11.0.0.3.0-testers-only == 11.0.0.3.0-testers-only-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165 ‘]’
  • ‘[’ ‘’ = true ‘]’
  • true ‘---------------------------------------------------------------------’
  • true '/home/user/Whonix/help-steps/git_sanity_test ERROR: Git reports a untagged commit! ’
  • true '/home/user/Whonix/help-steps/git_sanity_test INFO: (And you are not using --allow-untagged true, which you also should not do for security reasons, unless you are a developer or advanced user and know what you are doing. Such as in case you added custom commits.) ’
  • git_sanity_test_hint
  • true ‘/home/user/Whonix/help-steps/git_sanity_test INFO: (As a developer or advanced user you might want to use:)
    –allow-untagged true --allow-uncommitted true
  • true ‘/home/user/Whonix/help-steps/git_sanity_test INFO: (See build documentation on how to verify and checkout git tags.)’
  • true ‘---------------------------------------------------------------------’
  • error ‘Untagged commit! See above!’
  • true ‘############################################################’
  • true ‘ERROR: Untagged commit! See above!’
  • true ‘############################################################’
  • error_ 'See above! (There should be a bold, red message surrounded by blue hashtags (#).)'
    pre: line 20: error_: command not found
    ++ errorhandlergeneral ERR
    ++ last_failed_exit_code=127
    ++ last_failed_bash_command=‘error_ “See above! (There should be a bold, red message surrounded by blue hashtags (#).)”’
    ++ true ‘INFO: Middle of function errorhandlergeneral of ././build-steps.d/1200_create-debian-packages.’
    ++ errorhandlerprocessshared ERR
    ++ last_script=././build-steps.d/1200_create-debian-packages
    ++ trap_signal_type_previous=
    ++ ‘[’ ‘’ = ‘’ ‘]’
    ++ trap_signal_type_previous=unset
    ++ trap_signal_type_last=ERR
    ++ whonix_build_error_counter=1
    +++ benchmarktimeend 1436993069
    ++++ date +%s
    +++ benchmarktimeend=1436993069
    +++ benchmark_took_seconds=0
    ++++ convertsecs 0
    ++++ local h m s
    ++++ (( h=0/3600 ))
    ++++ true
    ++++ (( m=(0%3600)/60 ))
    ++++ true
    ++++ (( s=0%60 ))
    ++++ true
    ++++ printf ‘%02d:%02d:%02d\n’ 0 0 0
    +++ echo 00:00:00
    ++ benchmark_took_time=00:00:00
    ++ processbacktracefunction
    ++ true ‘INFO: BEGIN: processbacktracefunction’
    ++ ‘[’ -o xtrace ‘]’
    ++ set +x
    ++ true ‘INFO: END : processbacktracefunction’
    ++ functiontracefunction
    ++ true ‘INFO: BEGIN: functiontracefunction’
    ++ ‘[’ -o xtrace ‘]’
    ++ set +x
    ++ true ‘INFO: END : functiontracefunction’
    ++ true ‘
    ############################################################
    ERROR in ././build-steps.d/1200_create-debian-packages detected!
    anon_dist_build_version: 11.0.0.3.0-4-gce54d634da5c9d01706d085a7eda2a0d36f3d165
    (whonix_build_error_counter: 1)
    (benchmark: 00:00:00)
    trap_signal_type_previous: unset
    trap_signal_type_last : ERR
    process_backtrace_result:
    1: : /sbin/init
    2: : /usr/lib/gnome-terminal/gnome-terminal-server
    3: : bash
    4: : sudo /home/user/Whonix/whonix_build --flavor whonix-gateway – --build --target virtualbox
    5: : /bin/bash /home/user/Whonix/whonix_build --flavor whonix-gateway – --build --target virtualbox
    6: : /bin/bash ./help-steps/whonix_build_one --flavor whonix-gateway --build --target virtualbox
    7: : /bin/bash ././build-steps.d/1200_create-debian-packages
    function_trace_result:
    main (line number: 252)
    main (line number: 248)
    create-debian-packages (line number: 232)
    git_sanity_test_main (line number: 145)
    git_sanity_test_check_for_untagged_commits (line number: 103)
    error (line number: 20)
    errorhandlergeneral (line number: 311)
    errorhandlerprocessshared (line number: 159)
    last_failed_bash_command: error_ "See above! (There should be a bold, red message surrounded by blue hashtags (#).)"
    last_failed_exit_code: 127
    ERROR in ././build-steps.d/1200_create-debian-packages detected!
    ############################################################

    ++ ‘[’ ERR = INT ‘]’
    ++ ‘[’ ERR = TERM ‘]’
    ++ ‘[’ ERR = ERR ‘]’
    ++ true ‘INFO: trap_signal_type_last: ERR, considering auto retry…’
    ++ ‘[’ ‘!’ 1 = 0 ‘]’
    ++ ‘[’ ‘’ = ‘’ ‘]’
    ++ whonix_build_auto_retry_counter=1
    ++ ‘[’ -n 1 ‘]’
    ++ ‘[’ -n 5 ‘]’
    ++ local first
    ++ read -r first _
    ++ ‘[’ error_ = error_ ‘]’
    ++ true ‘INFO: No auto retry because first item of last_failed_bash_command is “error_”.’
    ++ unset whonix_build_auto_retry_counter
    ++ ignore_error=false
    ++ answer=
    ++ ‘[’ ERR = ERR ‘]’
    ++ true 'INFO: whonix_build_non_interactive: | CI: '
    ++ ‘[’ ‘’ = true ‘]’
    ++ ‘[’ ‘’ = true ‘]’
    ++ ‘[’ -t 0 ‘]’
    ++ true ‘INFO: stdin connected to terminal, using interactive error handler.’
    ++ true 'ERROR in ././build-steps.d/1200_create-debian-packages detected!
    Please have a look above (the block within ###…), note the command that failed, last_failed_exit_code and its output (further above).
  • Please enter c and press enter to ignore the error and continue building. (Recommended against!)
  • Please press r and enter to retry.
  • Please press s and enter to open an chroot interactive shell.
  • Please press enter to cleanup and exit.’
    ++ read -p 'Answer? ’ answer
    Answer?
    [/code]

#13

You did build from master branch. You forgot to checkout the right version:

Build documentation is supposed to be followed from top to bottom. Not possible to move straight to VM creation.


#14
good, but i want to ask if turning the screen of debian to completely black is normal while building ?
Power saving as per Debian default, unrelated to Whonix? https://www.whonix.org/wiki/About#Based_on_Debian

#15

ok i have followed every recommended step from up to down (it was easy thought its going to be hard) , but i have faced an error in whonix 11.0.0.3.0, c this:-

short: just the red lines:

1- http://i.imgur.com/sOxkinF.png

2- http://i.imgur.com/98zd0QS.png

long: from where the first red line appeared:-

[code]++ errorhandlerunmount-raw
+++ caller
++ true ‘BASH_COMMAND: umount "$CHROOT_FOLDER"
ERROR /home/user/Whonix/help-steps/unmount-raw: | caller: 43 /home/user/Whonix/help-steps/unmount-raw’
++ exit 1

  • exithandler
  • local exit_code=1
  • ‘[’ ‘!’ 1 = 0 ‘]’
  • exit 1
    ++ errorhandlerunchrootunpreventunmount ERR
    ++ last_failed_exit_code=1
    ++ last_failed_bash_command=’"$WHONIX_SOURCE_HELP_STEPS_FOLDER/unmount-raw"’
    ++ errorhandlerprocessshared ERR
    ++ last_script=././build-steps.d/1700_install-packages
    ++ trap_signal_type_previous=
    ++ ‘[’ ‘’ = ‘’ ‘]’
    ++ trap_signal_type_previous=unset
    ++ trap_signal_type_last=ERR
    ++ whonix_build_error_counter=1
    +++ benchmarktimeend 1436999667
    ++++ date +%s
    +++ benchmarktimeend=1437000398
    +++ benchmark_took_seconds=731
    ++++ convertsecs 731
    ++++ local h m s
    ++++ (( h=731/3600 ))
    ++++ true
    ++++ (( m=(731%3600)/60 ))
    ++++ (( s=731%60 ))
    ++++ printf ‘%02d:%02d:%02d\n’ 0 12 11
    +++ echo 00:12:11
    ++ benchmark_took_time=00:12:11
    ++ processbacktracefunction
    ++ true ‘INFO: BEGIN: processbacktracefunction’
    ++ ‘[’ -o xtrace ‘]’
    ++ set +x
    ++ true ‘INFO: END : processbacktracefunction’
    ++ functiontracefunction
    ++ true ‘INFO: BEGIN: functiontracefunction’
    ++ ‘[’ -o xtrace ‘]’
    ++ set +x
    ++ true ‘INFO: END : functiontracefunction’
    ++ true ‘
    ############################################################
    ERROR in ././build-steps.d/1700_install-packages detected!
    anon_dist_build_version: 11.0.0.3.0
    (whonix_build_error_counter: 1)
    (benchmark: 00:12:11)
    trap_signal_type_previous: unset
    trap_signal_type_last : ERR
    process_backtrace_result:
    1: : /sbin/init
    2: : /usr/lib/gnome-terminal/gnome-terminal-server
    3: : bash
    4: : sudo /home/user/Whonix/whonix_build --flavor whonix-gateway --flavor whonix-workstation – --build --target virtualbox
    5: : /bin/bash /home/user/Whonix/whonix_build --flavor whonix-gateway --flavor whonix-workstation – --build --target virtualbox
    6: : /bin/bash ./help-steps/whonix_build_one --flavor whonix-workstation --build --target virtualbox
    7: : /bin/bash ././build-steps.d/1700_install-packages
    function_trace_result:
    main (line number: 485)
    main (line number: 477)
    install-packages (line number: 468)
    errorhandlerunchrootunpreventunmount (line number: 320)
    errorhandlerprocessshared (line number: 159)
    last_failed_bash_command: "$WHONIX_SOURCE_HELP_STEPS_FOLDER/unmount-raw"
    last_failed_exit_code: 1
    ERROR in ././build-steps.d/1700_install-packages detected!
    ############################################################

    ++ ‘[’ ERR = INT ‘]’
    ++ ‘[’ ERR = TERM ‘]’
    ++ ‘[’ ERR = ERR ‘]’
    ++ true ‘INFO: trap_signal_type_last: ERR, considering auto retry…’
    ++ ‘[’ ‘!’ 1 = 0 ‘]’
    ++ ‘[’ ‘’ = ‘’ ‘]’
    ++ whonix_build_auto_retry_counter=1
    ++ ‘[’ -n 1 ‘]’
    ++ ‘[’ -n 5 ‘]’
    ++ local first
    ++ read -r first _
    ++ ‘[’ ‘"$WHONIX_SOURCE_HELP_STEPS_FOLDER/unmount-raw"’ = error_ ‘]’
    ++ ‘[’ 1 -gt 1 ‘]’
    ++ true 'INFO: Auto retry attempt number: 1. Max retry attempts: 1 (–retry-max). Auto retry… '
    ++ whonix_build_auto_retry_counter=2
    ++ ‘[’ ‘!’ 5 = 0 ‘]’
    ++ true 'INFO: Waiting (–retry-wait) 5 seconds before auto retry… '
    ++ wait 27911
    ++ sleep 5
    ++ ignore_error=true
    ++ error_handler_do_retry=true
    ++ errorhandlerretry
    ++ ‘[’ ‘!’ ‘’ = ‘’ ‘]’
    ++ true ‘INFO: Skipping whonix_build_dispatch_before_retry (–retry-before), because empty, ok.’
    ++ true 'INFO: Retrying last_failed_bash_command…: “$WHONIX_SOURCE_HELP_STEPS_FOLDER/unmount-raw” '
    ++ retry_last_failed_bash_command_exit_code=0
    ++ eval ‘"$WHONIX_SOURCE_HELP_STEPS_FOLDER/unmount-raw"’
    +++ /home/user/Whonix/help-steps/unmount-raw
  • set -e
  • true ‘INFO: Currently running script: /home/user/Whonix/help-steps/unmount-raw’
    +++ dirname /home/user/Whonix/help-steps/unmount-raw
    ++ cd /home/user/Whonix/help-steps
    ++ pwd
  • MYDIR=/home/user/Whonix/help-steps
  • source /home/user/Whonix/help-steps/pre
    ++ ‘[’ ‘!’ ‘’ ‘]’
    ++ set +x
  • source /home/user/Whonix/help-steps/colors
    ++ ‘[’ ‘!’ true = true ‘]’
  • source /home/user/Whonix/help-steps/variables
    ++ ‘[’ ‘!’ ‘’ ‘]’
    ++ set +x
    INFO: Setting… export UWT_DEV_PASSTHROUGH="1"
    INFO: Variable anon_dist_build_version was already set to: 11.0.0.3.0
    ++ true 'INFO: Currently running script: /home/user/Whonix/help-steps/unmount-raw '
    ++ true 'INFO: LD_PRELOAD: ’
  • main
  • root_check
    ++ id -u
  • ‘[’ 0 ‘!=’ 0 ‘]’
  • true ‘INFO: Script running as root.’
  • ‘[’ 0 = 1 ‘]’
  • ‘[’ ‘’ = true ‘]’
  • unmount_raw
  • trap errorhandlerunmount-raw ERR INT TERM
  • ‘[’ ‘’ = ‘’ ‘]’
  • true
  • sync
  • wait 28007
  • sleep 2
  • sync
  • umount /home/user/whonix_binary/Whonix-Workstation_image
    umount: /home/user/whonix_binary/Whonix-Workstation_image: target is busy
    (In some cases useful info about processes that
    use the device is found by lsof(8) or fuser(1).)
    ++ errorhandlerunmount-raw
    +++ caller
    ++ true ‘BASH_COMMAND: umount "$CHROOT_FOLDER"
    ERROR /home/user/Whonix/help-steps/unmount-raw: | caller: 43 /home/user/Whonix/help-steps/unmount-raw’
    ++ exit 1
  • exithandler
  • local exit_code=1
  • ‘[’ ‘!’ 1 = 0 ‘]’
  • exit 1
    ++ retry_last_failed_bash_command_exit_code=1
    ++ true
    ++ ‘[’ 1 = 0 ‘]’
    ++ true ‘INFO: Retry failed. exit code of last_failed_bash_command: 1 ‘
    ++ last_failed_exit_code=1
    ++ last_failed_bash_command=’"$WHONIX_SOURCE_HELP_STEPS_FOLDER/unmount-raw"’
    ++ ‘[’ ‘!’ ‘’ = ‘’ ‘]’
    ++ true ‘INFO: Skipping whonix_build_dispatch_after_retry (–retry-after), because empty, ok.’
    ++ ‘[’ 1 = 0 ‘]’
    ++ errorhandlerprocessshared ‘NONE_(called_by_errorhandlerretry)’
    ++ last_script=././build-steps.d/1700_install-packages
    ++ trap_signal_type_previous=ERR
    ++ ‘[’ ERR = ‘’ ‘]’
    ++ trap_signal_type_last=‘NONE_(called_by_errorhandlerretry)’
    ++ whonix_build_error_counter=2
    +++ benchmarktimeend 1436999667
    ++++ date +%s
    +++ benchmarktimeend=1437000405
    +++ benchmark_took_seconds=738
    ++++ convertsecs 738
    ++++ local h m s
    ++++ (( h=738/3600 ))
    ++++ true
    ++++ (( m=(738%3600)/60 ))
    ++++ (( s=738%60 ))
    ++++ printf ‘%02d:%02d:%02d\n’ 0 12 18
    +++ echo 00:12:18
    ++ benchmark_took_time=00:12:18
    ++ processbacktracefunction
    ++ true ‘INFO: BEGIN: processbacktracefunction’
    ++ ‘[’ -o xtrace ‘]’
    ++ set +x
    ++ true ‘INFO: END : processbacktracefunction’
    ++ functiontracefunction
    ++ true ‘INFO: BEGIN: functiontracefunction’
    ++ ‘[’ -o xtrace ‘]’
    ++ set +x
    ++ true ‘INFO: END : functiontracefunction’
    ++ true ‘
    ############################################################
    ERROR in ././build-steps.d/1700_install-packages detected!
    anon_dist_build_version: 11.0.0.3.0
    (whonix_build_error_counter: 2)
    (benchmark: 00:12:18)
    trap_signal_type_previous: ERR
    trap_signal_type_last : NONE_(called_by_errorhandlerretry)
    process_backtrace_result:
    1: : /sbin/init
    2: : /usr/lib/gnome-terminal/gnome-terminal-server
    3: : bash
    4: : sudo /home/user/Whonix/whonix_build --flavor whonix-gateway --flavor whonix-workstation – --build --target virtualbox
    5: : /bin/bash /home/user/Whonix/whonix_build --flavor whonix-gateway --flavor whonix-workstation – --build --target virtualbox
    6: : /bin/bash ./help-steps/whonix_build_one --flavor whonix-workstation --build --target virtualbox
    7: : /bin/bash ././build-steps.d/1700_install-packages
    function_trace_result:
    main (line number: 485)
    main (line number: 477)
    install-packages (line number: 468)
    errorhandlerunchrootunpreventunmount (line number: 320)
    errorhandlerprocessshared (line number: 209)
    errorhandlerretry (line number: 144)
    errorhandlerprocessshared (line number: 159)
    errorhandlerprocessshared (line number: 159)
    errorhandlerunchrootunpreventunmount (line number: 320)
    install-packages (line number: 468)
    main (line number: 477)
    main (line number: 485)
    last_failed_bash_command: "$WHONIX_SOURCE_HELP_STEPS_FOLDER/unmount-raw"
    last_failed_exit_code: 1
    ERROR in ././build-steps.d/1700_install-packages detected!
    ############################################################

    ++ ‘[’ ‘NONE_(called_by_errorhandlerretry)’ = INT ‘]’
    ++ ‘[’ ‘NONE_(called_by_errorhandlerretry)’ = TERM ‘]’
    ++ ‘[’ ‘NONE_(called_by_errorhandlerretry)’ = ERR ‘]’
    ++ ‘[’ ‘NONE_(called_by_errorhandlerretry)’ = ‘NONE_(called_by_errorhandlerretry)’ ‘]’
    ++ true ‘INFO: trap_signal_type_last: NONE_(called_by_errorhandlerretry), considering auto retry…’
    ++ ‘[’ ‘!’ 1 = 0 ‘]’
    ++ ‘[’ 2 = ‘’ ‘]’
    ++ ‘[’ -n 1 ‘]’
    ++ ‘[’ -n 5 ‘]’
    ++ local first
    ++ read -r first _
    ++ ‘[’ ‘"$WHONIX_SOURCE_HELP_STEPS_FOLDER/unmount-raw"’ = error_ ‘]’
    ++ ‘[’ 2 -gt 1 ‘]’
    ++ true 'INFO: Auto retried (–retry-max) already 1 times. No more auto retry. '
    ++ unset whonix_build_auto_retry_counter
    ++ ignore_error=false
    ++ answer=
    ++ ‘[’ ‘NONE_(called_by_errorhandlerretry)’ = ERR ‘]’
    ++ ‘[’ ‘NONE_(called_by_errorhandlerretry)’ = ‘NONE_(called_by_errorhandlerretry)’ ‘]’
    ++ true 'INFO: whonix_build_non_interactive: | CI: '
    ++ ‘[’ ‘’ = true ‘]’
    ++ ‘[’ ‘’ = true ‘]’
    ++ ‘[’ -t 0 ‘]’
    ++ true ‘INFO: stdin connected to terminal, using interactive error handler.’
    ++ true 'ERROR in ././build-steps.d/1700_install-packages detected!
    Please have a look above (the block within ###…), note the command that failed, last_failed_exit_code and its output (further above).
  • Please enter c and press enter to ignore the error and continue building. (Recommended against!)
  • Please press r and enter to retry.
  • Please press s and enter to open an chroot interactive shell.
  • Please press enter to cleanup and exit.’
    ++ read -p 'Answer? ’ answer
    Answer?
    [/code]

and is the gpg key ready for tester 11 or its only for stable, c this ? (minor)


#16

From https://www.whonix.org/wiki/Dev/Build_Documentation/11_full#Warning did you apply

Short: Gnome user? Please disable device auto mounter and the file indexing service. You can do this by running the following commands. (If you don't know if you are a Gnome user or not, just run this command, it won't hurt.)
?

Reboot. Try again.


#17

did that , and i even repeated the whole process but the same error appeared:-

my debian is 8.1 i386 and i didnt install any interface i just choose “debian desktop environment”

i have run this command:-

gsettings set org.gnome.desktop.media-handling automount-open false

and unchecked :-
1- "Never prompt or start programs on media insertion"
2- “Monitor file and directory changes”

but the same error appeared. should i try it without any environment installed?


#18

Worth trying. Or with KDE environment [that’s what is used on my build machine].


#19

i have really gave it many trials but i was facing the same problem again and again.

so then i will try witha current whonix , hope this error wont show up again.